CALIBREDB(1)

NAME
calibredb - calibredb

calibredb ordre [opcions] [arguments]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

•   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced.

•   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

    To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

•   OPCIONS GLOBALS

•   list

•   add

•   ADDING FROM DIRECTORIES

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPTIONS

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

OPCIONS GLOBALS

--help, -h
    mostra aquest missatge d'ajut i surt

--library-path, --with-library
    Path to the calibre library. Default is to use the path stored in the settings. You can also connect to a calibre Content server to perform actions on remote libraries. To do so use a URL of the form: http://hostname:port/#library_id for example, http://localhost:8080/#mylibrary. library_id is the library id of the library you want to connect to on the Content server. You can use the special library_id value of - to get a list of library ids available on the server. For details on how to setup access via a Content server, see https://manual.calibre-ebook.com/generated/en/calibredb.html.

--password
    Password for connecting to a calibre Content server. To read the password from standard input, use the special value: <stdin>. To read the password from a file, use: <f:/path/to/file>.)

--username
    Username for connecting to a calibre Content server

--version
    mostra el número de versió del programa i surt

LIST

calibredb list [opcions]

Llista dels llibres disponibles a la base de dades de calibre.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--ascending
    Ordena els resultats en ordre ascendent

--fields, -f
    The fields to display when listing books in the database. Should be a comma separated list of fields. Available fields: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Default: title,authors. The special field "all" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating

--for-machine
    Generate output in JSON format, which is more suitable for machine parsing. Causes the line width and separator options to be ignored.

--limit
    El nombre màxim de resultats a mostrar. Per defecte: tots

--line-width, -w
    Amplada màxima d'una línia a la sortida. Per defecte es detecta la mida de la pantalla.

--prefix
    Prefix per a tots els camins dels fitxers. Per defecte és el camí d'accés a la carpeta de la biblioteca.

--search, -s
    Filtra els resultats amb la consulta de cerca. Per al format de la consulta de cerca vegeu la documentació relacionada al Manual de l'usuari. Per defecte no es filtra.

--separator
    Cadena que es fa servir per separar els camps. Per defecte és un espai.

--sort-by
    The field by which to sort the results. Available fields: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Default: id

ADD

calibredb add [opcions] fitxer1 fitxer2 fitxer3 ...

Afegeix els fitxers indicats com a llibres a la base de dades. Podeu també indicar carpetes, vegeu les opcions relacionades amb les carpetes més avall.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--authors, -a
    Estableix els autors del(s) llibre(s) afegit(s)

--cover, -c
    Camí a la portada que s'utilitzarà per al llibre afegit

--duplicates, -d
    Afegeix els llibres a la base de dades encara que ja existeixin. La comparació es fa mitjançant els títols dels llibres.

--empty, -e
    Afegeix un llibre en blanc (sense formats)

--identifier, -I
    Set the identifiers for this book, for e.g. -I asin:XXX -I isbn:YYY

--isbn, -i
    Estableix l'ISBN del(s) llibre(s) afegit(s)

--languages, -l
    Una llista de llengües separades per comes (millor si s'utilitzen els codis d'idioma ISO639, tot i que pot ser que també es reconegui els noms d'algunes llengües)

--series, -s
    Estableix la sèrie del(s) llibre(s) afegit(s)

--series-index, -S
    Estableix el nombre de sèrie del(s) llibre(s) afegit(s)

--tags, -T
    Estableix les etiquetes del(s) llibre(s) afegit(s)

--title, -t
    Estableix el títol del(s) llibre(s) afegit(s)

  ADDING FROM DIRECTORIES

Options to control the adding of books from directories. By default only files that have extensions of known e-book file types are added.

--add
    A filename (glob) pattern, files matching this pattern will be added when scanning directories for files, even if they are not of a known e-book file type. Can be specified multiple times for multiple patterns.

--ignore
    A filename (glob) pattern, files matching this pattern will be ignored when scanning directories for files. Can be specified multiple times for multiple patterns. For e.g.: *.pdf will ignore all pdf files

--one-book-per-directory, -1
    Assumeix que cada directori conté un sol llibre lògic i que tots els fitxers que hi ha són diferents formats del mateix llibre electrònic

--recurse, -r
    Processa les carpetes de forma recursiva

REMOVE

calibredb remove ids

Remove the books identified by ids from the database. ids should be a comma separated list of id numbers (you can get id numbers by using the search command). For example, 23,34,57-85 (when specifying a range, the last number in the range is not included).

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--permanent
    Do not use the recycle bin

ADD_FORMAT

calibredb add_format [options] id ebook_file

Add the e-book in ebook_file to the available formats for the logical book identified by id. You can get id by using the search command. If the format already exists, it is replaced, unless the do not replace option is specified.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--dont-replace
    No substitueixis el format si ja existeix

REMOVE_FORMAT

calibredb remove_format [options] id fmt

Remove the format fmt from the logical book identified by id. You can get id by using the search command. fmt should be a file extension like LRF or TXT or EPUB. If the logical book does not have fmt available, do nothing.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

SHOW_METADATA

calibredb show_metadata [options] id

Show the metadata stored in the calibre database for the book identified by id. id is an id number from the search command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--as-opf
    Imprimeix les metadades en format OPF (XML)

SET_METADATA

calibredb set_metadata [options] id [/path/to/metadata.opf]

Set the metadata stored in the calibre database for the book identified by id from the OPF file metadata.opf. id is an id number from the search command. You can get a quick feel for the OPF format by using the –as-opf switch to the show_metadata command. You can also set the metadata of individual fields with the –field option. If you use the –field option, there is no need to specify an OPF file.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--field, -f
    El camp a establir. El format és nom_del_camp:valor, per exemple: --field tags:etiqueta1,etiqueta2. Utilitzeu --list-fields per obtenir una llista de tots els noms de camp. Podeu especificar aquesta opció diversos cops per establir múltiples camps. Nota: per a les llengües heu d'utilitzar els codis ISO639 (per exemple «ca» per al català, «en» per a l'anglès…). Per als identificadors la sintaxi és --field identifiers:isbn:XXXX,doi:YYYYY. Per als camps booleans (sí/no) utilitzeu «true» i «false» o «yes» i «no».

--list-fields, -l
    Mostra una llista dels noms dels camps de metadades que es poden utilitzar amb l'opció --field opció

EXPORT

calibredb export [options] ids

Export the books specified by ids (a comma separated list) to the filesystem. The export operation saves all formats of the book, its cover and metadata (in an opf file). You can get id numbers from the search command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--all
    Exporta tots els llibres de la base de dades, ignorant la llista d'IDs.

--dont-asciiize
    Normalment el calibre convertirà els caràcters no ASCII dels noms de fitxer als seus equivalents ASCII. ATENCIÓ: Si ho desactiveu podeu tenir errors en desar, depenent del suport per a Unicode que hi hagi al vostre sistema de fitxers. Si indiqueu aquesta opció es desactiva aquest comportament.

--dont-save-cover
    Normally, calibre will save the cover in a separate file along with the actual e-book files. Si indiqueu aquesta opció es desactiva aquest comportament.

--dont-update-metadata
    Normalment el calibre actualitza les metadades als fitxers que es desen a partir del que hi ha a la biblioteca de calibre. Fa que es desi més lentament. Si indiqueu aquesta opció es desactiva aquest comportament.

--dont-write-opf
    Normalment calibre escriurà les metadades a un fitxer OPF separat, junt amb els fitxers reals del llibre electrònic. Si indiqueu aquesta opció es desactiva aquest comportament.

--formats
    Llista separada per comes de la llista de formats que es desaran de cada llibre. Per defecte es desen tots els formats disponibles.

--replace-whitespace
    Substitueix els espais en blanc amb guions baixos.

--single-dir
    Exporta tots els llibres a un únic directori

--template
    Plantilla per controlar el nom del fitxer i l'estructura de les carpetes dels fitxers desats. Per defecte és «{author_sort}/{title}/{title} - {authors}», que desa els llibres en una subcarpeta per autor amb noms de fitxer que contenen el títol i l'autor. Es disposa dels controls: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    El format en què es visualitzaran les dates. %d: dia, %b: mes, %m: nombre del mes, %Y: any. Per defecte: %b, %Y

--to-dir
    Exporta els llibres al directori especificat. Per defecte és .

--to-lowercase
    Converteix els camins a minúscules.

CATALOG

calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--ids, -i
    Llista d'IDs de la base de dades separada per comes per catalogar. Si es declara, s'ignora --search. Per defecte: totes

--search, -s
    Filtra els resultats segons la consulta de cerca. Per al format de la cerca vegeu la documentació del tema al manual d'usuari. Per defecte: sense filtrar

--verbose, -v
    Mostra informació de sortida detallada. Útil per a depurar

  EPUB OPTIONS

--catalog-title
    Title of generated catalog used as title in metadata. Default: 'My Books' Applies to: AZW3, EPUB, MOBI output formats

--cross-reference-authors
    Create cross-references in Authors section for books with multiple authors. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--debug-pipeline
    Save the output from different stages of the conversion pipeline to the specified directory. Useful if you are unsure at which stage of the conversion process a bug is occurring. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--exclude-genre
    Regex describing tags to exclude as genres. Default: '[.+]|^+$' excludes bracketed tags, e.g. '[Project Gutenberg]', and '+', the default tag for read books. Applies to: AZW3, EPUB, MOBI output formats

--exclusion-rules
    Specifies the rules used to exclude books from the generated catalog. The model for an exclusion rule is either ('<rule name>','Tags','<comma-separated list of tags>') or ('<rule name>','<custom column>','<pattern>'). For example: (('Archived books','#status','Archived'),) will exclude a book with a value of 'Archived' in the custom column 'status'. When multiple rules are defined, all rules will be applied. Default: "(('Catalogs','Tags','Catalog'),)" Applies to: AZW3, EPUB, MOBI output formats

--generate-authors
    Include 'Authors' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-descriptions
    Include 'Descriptions' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-genres
    Include 'Genres' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-recently-added
    Include 'Recently Added' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-series
    Include 'Series' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-titles
    Include 'Titles' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--genre-source-field
    Source field for 'Genres' section. Default: 'Etiquetes' Applies to: AZW3, EPUB, MOBI output formats

--header-note-source-field
    Custom field containing note text to insert in Description header. Default: '' Applies to: AZW3, EPUB, MOBI output formats

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with Comments [before|after] Placement of notes with respect to Comments [True|False] - A horizontal rule is inserted between notes and Comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

--output-profile
    Specifies the output profile. In some cases, an output profile is required to optimize the catalog for the device. For example, 'kindle' or 'kindle_dx' creates a structured Table of Contents with Sections and Articles. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--prefix-rules
    Specifies the rules used to include prefixes indicating read books, wishlist items and other user-specified prefixes. The model for a prefix rule is ('<rule name>','<source field>','<pattern>','<prefix>'). When multiple rules are defined, the first matching rule will be used. Default: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Applies to: AZW3, EPUB, MOBI output formats

--preset
    Use a named preset created with the GUI catalog builder. A preset specifies all settings for building a catalog. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--thumb-width
    Size hint (in inches) for book covers in catalog. Range: 1.0 - 2.0 Default: '1.0' Applies to: AZW3, EPUB, MOBI output formats

--use-existing-cover
    Replace existing cover when generating the catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Manage the saved searches stored in this database. If you try to add a query with a name that already exists, it will be replaced.

Syntax for adding:

calibredb saved_searches add search_name search_expression

Syntax for removing:

calibredb saved_searches remove search_name

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

ADD_CUSTOM_COLUMN

calibredb add_custom_column [opcions] etiqueta nom tipus_de_dades

Crea una columna personalitzada. L’etiqueta és el nom intern de la columna. No ha de tenir espais ni dos punts. El nom és el nom visible de la columna. El tipus de dades és un de: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--display
    Un diccionari d'opcions per personalitzar com s'interpreten les dades en aquesta columna. És una cadena JSON. Per a columnes d'enumeració utilitzeu --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Hi ha moltes opcions que poden anar amb la variable «display». Les opcions per tipus de columna són: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations La millor manera de trobar una combinació legal és crear una columna personalitzada del tipus adequat a la interfície gràfica i cercar un llibre al fitxer de còpia de seguretat OPF (assegureu-vos que s'ha creat un OPF nou després d'afegir la columna). Veureu la cadena JSON per al «display» de la nova columna a l'OPF.

--is-multiple
    Aquesta columna emmagatzema les etiquetes com a dades (amb valors separats per comes). Només s'aplica si les dades són de tipus text.

CUSTOM_COLUMNS

calibredb custom_columns [options]

List available custom columns. Shows column labels and ids.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--details, -d
    Mostra els detalls per a cada columna.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [options] label

Remove the custom column identified by label. You can see available columns with the custom_columns command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--force, -f
    No demanis confirmació

SET_CUSTOM

calibredb set_custom [options] column id value

Set the value of a custom column for the book identified by id. You can get a list of ids using the search command. You can get a list of custom column names using the custom_columns command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--append, -a
    Si la columna emmagatzema diversos valors, annexa els valors especificats als ja existents, en lloc de substituir-los.

RESTORE_DATABASE

calibredb restore_database [opcions]

Recupera la base de dades a partir de les metadades dels fitxers OPF de cada carpeta de la biblioteca de calibre. És útil quan el fitxer metadata.db està malmès.

ATENCIÓ: Aquesta ordre torna a generar completament la vostra base de dades. Perdreu totes les cerques desades, categories d’usuari, taulers de connexions, ajusts de conversió per a llibres individuals i receptes personalitzades. Les metadades que es recuperin seran tan acurades com el que hi hagi als fitxers OPF.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--really-do-it, -r
    Fes la recuperació. L'ordre no s'executa llevat que no s'especifiqui aquesta opció.

CHECK_LIBRARY

calibredb check_library [opcions]

Fes algunes comprovacions al sistema de fitxers que hi ha en una biblioteca. Els resultats són invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--csv, -c
    Sortida CSV

--ignore_extensions, -e
    Llista de les extensions que s'ignoraran separada per comes. Per defecte: totes

--ignore_names, -n
    Llista de noms que s'ignoraran separats per comes. Per defecte: tots

--report, -r
    Llista d'informes separats per comes. Per defecte: tots

LIST_CATEGORIES

calibredb list_categories [opcions]

Genera un informe de la informació de les categories de la base de dades. La informació equival al que es mostra a la subfinestra d’etiquetes.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--categories, -r
    Llista separada per comes dels noms de consulta de la categoria. Per defecte: tot

--csv, -c
    Sortida CSV

--dialect
    The type of CSV file to produce. Choices: excel, excel-tab

--item_count, -i
    Genera només la sortida del nombre d'ítems en una categoria en lloc del recompte per ítem a cada categoria

--width, -w
    Amplada màxima d'una línia a la sortida. Per defecte es detecta la mida de la pantalla.

BACKUP_METADATA

calibredb backup_metadata [opcions]

Fa una còpia de seguretat de les metadades de la base de dades en fitxers OPF individuals a cada carpeta de llibre. Això normalment es fa automàticament però podeu executar aquesta ordre per forçar que es tornin a regenerar els fitxers OPF amb l’opció «–all».

Tingueu en compte que normalment no hi ha necessitat de fer això, ja que es fa una còpia de seguretat dels fitxers OPF cada cop que es canvien les metadades.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--all
    Normalment aquesta ordre només actua en llibres que tenen fitxers OPF obsolets. Aquesta opció fa que actuï en tots els llibres.

CLONE

calibredb clone camí/a/la/biblioteca/nova

Crea un clon de la biblioteca actual. Això crea una biblioteca buida nova amb totes les mateixes columnes personalitzades, biblioteques virtuals i altres ajusts que la biblioteca actual.

La biblioteca clonada no contindrà llibres. Si voleu crear un duplicat complet, incloent-hi tots els llibres, només cal que utilitzeu les eines del sistema de fitxers per copiar la carpeta de la biblioteca.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

EMBED_METADATA

calibredb embed_metadata [options] book_id

Update the metadata in the actual book files stored in the calibre library from the metadata in the calibre database. Normally, metadata is updated only when exporting files from calibre, this command is useful if you want the files to be updated in place. Note that different file formats support different amounts of metadata. You can use the special value “all” for book_id to update metadata in all books. You can also specify many book ids separated by spaces and id ranges separated by hyphens. For example: calibredb embed_metadata 1 2 10-15 23

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--only-formats, -f
    Only update metadata in files of the specified format. Specify it multiple times for multiple formats. By default, all formats are updated.

SEARCH

calibredb search [options] search expression

Search the library for the specified search term, returning a comma separated list of book ids matching the search expression. The output format is useful to feed into other commands that accept a list of ids as input.

The search expression can be anything from calibre’s powerful search query language, for example: author:asimov title:robot

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

--limit, -l
    The maximum number of results to return. Default is all results.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal